# nvmet.port_subsys.query

Sent on nvmet.port_subsys changes.

Type: object

##

#### NVMetPortSubsysAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### NVMetPortSubsysEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the port-subsystem association.

##

#### NVMetPortEntry

Type: object

NVMe-oF port that provides access to the subsystem.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF port.

##

#### Index

Type: integer

Index of the port, for internal use.

##

#### Addr Trtype

Type: enum (of string)

Fabric transport technology name.

##### Must be one of:

- "TCP"
- "RDMA"
- "FC"

##

#### Addr Trsvcid

Transport-specific TRSVCID field. When configured for TCP/IP or RDMA this will be the port number.

## Any of

Type: integer
Type: string

Must be at least `1` characters long

Type: null

##

#### Addr Traddr

Type: string

A transport-specific field identifying the NVMe host port to use for the connection to the controller.

For TCP or RDMA transports, this will be an IPv4 or IPv6 address.

##

#### Addr Adrfam

Type: enum (of string)

Address family.

##### Must be one of:

- "IPV4"
- "IPV6"
- "FC"

##

#### Inline Data Size

Default: null

Maximum size for inline data transfers or `null` for default.

## Any of

Type: integer
Type: null

##

#### Max Queue Size

Default: null

Maximum number of queue entries or `null` for default.

## Any of

Type: integer
Type: null

##

#### Pi Enable

Default: null

Whether Protection Information (PI) is enabled or `null` for default.

## Any of

Type: boolean
Type: null

##

#### Enabled

Type: boolean Default: true

Port enabled. When NVMe target is running, cannot make changes to an enabled port.

##

#### NVMetSubsysEntry

Type: object

NVMe-oF subsystem that is accessible through the port.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF subsystem.

##

#### Name

Type: string

Human readable name for the subsystem.

If `subnqn` is not provided on creation, then this name will be appended to the `basenqn` from `nvmet.global.config` to generate a subnqn.

Must be at least `1` characters long

##

#### Subnqn

Default: null

NVMe Qualified Name (NQN) for the subsystem.

If not provided during creation, will be auto-generated by appending the `name` to the `basenqn` from `nvmet.global.config`.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Serial

Type: string

Serial number assigned to the subsystem.

##

#### Allow Any Host

Type: boolean Default: false

Any host can access the storage associated with this subsystem (i.e. no access control).

##

#### Pi Enable

Default: null

Enable Protection Information (PI) for data integrity checking.

## Any of

Type: boolean
Type: null

##

#### Qid Max

Default: null

Maximum number of queue IDs allowed for this subsystem.

## Any of

Type: integer
Type: null

##

#### Ieee Oui

Default: null

IEEE Organizationally Unique Identifier for the subsystem.

## Any of

Type: string
Type: null

##

#### Ana

Default: null

If set to either `True` or `False`, then override the global `ana` setting from `nvmet.global.config` for this subsystem only.

If `null`, then the global `ana` setting will take effect.

## Any of

Type: boolean
Type: null

##

#### Hosts

Default: []

List of host ids which have access to this subsystem.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### Namespaces

Default: []

List of namespaces ids in this subsystem.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### Ports

Default: []

List of ports ids on which this subsystem is available.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### NVMetPortSubsysChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### NVMetPortSubsysEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the port-subsystem association.

##

#### NVMetPortEntry

Type: object

NVMe-oF port that provides access to the subsystem.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF port.

##

#### Index

Type: integer

Index of the port, for internal use.

##

#### Addr Trtype

Type: enum (of string)

Fabric transport technology name.

##### Must be one of:

- "TCP"
- "RDMA"
- "FC"

##

#### Addr Trsvcid

Transport-specific TRSVCID field. When configured for TCP/IP or RDMA this will be the port number.

## Any of

Type: integer
Type: string

Must be at least `1` characters long

Type: null

##

#### Addr Traddr

Type: string

A transport-specific field identifying the NVMe host port to use for the connection to the controller.

For TCP or RDMA transports, this will be an IPv4 or IPv6 address.

##

#### Addr Adrfam

Type: enum (of string)

Address family.

##### Must be one of:

- "IPV4"
- "IPV6"
- "FC"

##

#### Inline Data Size

Default: null

Maximum size for inline data transfers or `null` for default.

## Any of

Type: integer
Type: null

##

#### Max Queue Size

Default: null

Maximum number of queue entries or `null` for default.

## Any of

Type: integer
Type: null

##

#### Pi Enable

Default: null

Whether Protection Information (PI) is enabled or `null` for default.

## Any of

Type: boolean
Type: null

##

#### Enabled

Type: boolean Default: true

Port enabled. When NVMe target is running, cannot make changes to an enabled port.

##

#### NVMetSubsysEntry

Type: object

NVMe-oF subsystem that is accessible through the port.

No Additional Properties

##

#### Id

Type: integer

Unique identifier for the NVMe-oF subsystem.

##

#### Name

Type: string

Human readable name for the subsystem.

If `subnqn` is not provided on creation, then this name will be appended to the `basenqn` from `nvmet.global.config` to generate a subnqn.

Must be at least `1` characters long

##

#### Subnqn

Default: null

NVMe Qualified Name (NQN) for the subsystem.

If not provided during creation, will be auto-generated by appending the `name` to the `basenqn` from `nvmet.global.config`.

## Any of

Type: string

Must be at least `1` characters long

Type: null

##

#### Serial

Type: string

Serial number assigned to the subsystem.

##

#### Allow Any Host

Type: boolean Default: false

Any host can access the storage associated with this subsystem (i.e. no access control).

##

#### Pi Enable

Default: null

Enable Protection Information (PI) for data integrity checking.

## Any of

Type: boolean
Type: null

##

#### Qid Max

Default: null

Maximum number of queue IDs allowed for this subsystem.

## Any of

Type: integer
Type: null

##

#### Ieee Oui

Default: null

IEEE Organizationally Unique Identifier for the subsystem.

## Any of

Type: string
Type: null

##

#### Ana

Default: null

If set to either `True` or `False`, then override the global `ana` setting from `nvmet.global.config` for this subsystem only.

If `null`, then the global `ana` setting will take effect.

## Any of

Type: boolean
Type: null

##

#### Hosts

Default: []

List of host ids which have access to this subsystem.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### Namespaces

Default: []

List of namespaces ids in this subsystem.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### Ports

Default: []

List of ports ids on which this subsystem is available.

Only populated on query if `extra.options.verbose` is set.

## Any of

Type: array of integer
No Additional Items

##### Each item of this array must be:

Type: integer
Type: null

##

#### NVMetPortSubsysRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: SHARING_NVME_TARGET_READ